Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic
Interface BasicAclEntryCache

All Known Implementing Classes:
  EhCacheBasedAclEntryCache, NullAclEntryCache

    public interface BasicAclEntryCache

Provides a cache of `BasicAclEntry` objects.

Implementations should provide appropriate methods to set their cache parameters (eg time-to-live) and/or force removal of entities before their normal expiration. These are not part of the `BasicAclEntryCache` interface contract because they vary depending on the type of caching system used (eg in-memory vs disk vs cluster vs hybrid).

Version:
  $Id: BasicAclEntryCache.java,v 1.2 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Method Summary
`BasicAclEntry[]` | `getEntriesFromCache(AclObjectIdentity aclObjectIdentity)` Obtains an array of `BasicAclEntry`s from the cache.
`void` | `putEntriesInCache(BasicAclEntry[] basicAclEntry)` Places an array of `BasicAclEntry`s in the cache.

Method Detail

### getEntriesFromCache

    BasicAclEntry[] getEntriesFromCache(AclObjectIdentity aclObjectIdentity)

  Obtains an array of `BasicAclEntry`s from the cache.

  Parameters:
    `aclObjectIdentity` - which should be obtained from the cache
  Returns:
    any applicable `BasicAclEntry`s (no `null`s are permitted in the returned array) or `null` if the object identity could not be found or if the cache entry has expired

### putEntriesInCache

    void putEntriesInCache(BasicAclEntry[] basicAclEntry)

  Places an array of `BasicAclEntry`s in the cache.

  No `null`s are allowed in the passed array. If any `null` is passed, the implementation may throw an exception.

  Parameters:
    `basicAclEntry` - the ACL entries to cache (the key will be extracted from the `BasicAclEntry.getAclObjectIdentity()` method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.